### Class

# Foundry VcsTag

#### Description

    abstract class Foundry.VcsTag : GObject.Object
    {
      /* No available fields */
    }

No description available.

#### Ancestors

- GObject

#### Descendants

- FoundryGitTag

#### Instance methods

###### foundry_vcs_tag_dup_id

No description available.

###### foundry_vcs_tag_dup_title

No description available.

###### foundry_vcs_tag_is_local

No description available.

###### foundry_vcs_tag_load_target

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Foundry.VcsTag:id

No description available.

###### Foundry.VcsTag:is-local

No description available.

###### Foundry.VcsTag:title

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct FoundryVcsTagClass {
      GObjectClass parent_class;
      char* (* dup_id) (
        FoundryVcsTag* self
      );
      char* (* dup_title) (
        FoundryVcsTag* self
      );
      gboolean (* is_local) (
        FoundryVcsTag* self
      );
      DexFuture* (* load_target) (
        FoundryVcsTag* self
      );

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.

`dup_id: char* (* dup_id) ( FoundryVcsTag* self )`

  No description available.

`dup_title: char* (* dup_title) ( FoundryVcsTag* self )`

  No description available.

`is_local: gboolean (* is_local) ( FoundryVcsTag* self )`

  No description available.

`load_target: DexFuture* (* load_target) ( FoundryVcsTag* self )`

  No description available.

#### Virtual methods

###### Foundry.VcsTagClass.dup_id

No description available.

###### Foundry.VcsTagClass.dup_title

No description available.

###### Foundry.VcsTagClass.is_local

No description available.

###### Foundry.VcsTagClass.load_target

No description available.